import * as cdk from '@aws-cdk/core';
/**
 * Datadog Dashboard 2.0.2.
 *
 * @schema CfnDashboardProps
 */
export interface CfnDashboardProps {
    /**
     * JSON string of the dashboard definition.
     *
     * @schema CfnDashboardProps#DashboardDefinition
     */
    readonly dashboardDefinition: string;
}
/**
 * Converts an object of type 'CfnDashboardProps' to JSON representation.
 */
export declare function toJson_CfnDashboardProps(obj: CfnDashboardProps | undefined): Record<string, any> | undefined;
/**
 * A CloudFormation `Datadog::Dashboards::Dashboard`.
 *
 * @external
 * @cloudformationResource Datadog::Dashboards::Dashboard
 * @link http://unknown-url
 */
export declare class CfnDashboard extends cdk.CfnResource {
    /**
     * The CloudFormation resource type name for this resource class.
     *
     * @external
     */
    static readonly CFN_RESOURCE_TYPE_NAME = "Datadog::Dashboards::Dashboard";
    /**
     * Resource props.
     *
     * @external
     */
    readonly props: CfnDashboardProps;
    /**
     * Attribute `Datadog::Dashboards::Dashboard.Id`.
     *
     * @external
     * @link http://unknown-url
     */
    readonly attrId: string;
    /**
     * Attribute `Datadog::Dashboards::Dashboard.Url`.
     *
     * @external
     * @link http://unknown-url
     */
    readonly attrUrl: string;
    /**
     * Create a new `Datadog::Dashboards::Dashboard`.
     *
     * @param scope - scope in which this resource is defined.
     * @param id - scoped id of the resource.
     * @param props - resource properties.
     * @external
     */
    constructor(scope: cdk.Construct, id: string, props: CfnDashboardProps);
}
